YourNextHome
API ReferenceApartment

Get apartment panoramas

GET
/api/v1/apartment/{id}/panoramas

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/apartment/string/panoramas"
[
  {
    "id": "string",
    "name": "string",
    "src": "string",
    "priority": 0,
    "linkedPanoramas": [
      {
        "id": "string",
        "name": "string",
        "src": "string",
        "priority": 0,
        "linkedPanoramas": [],
        "apartmentId": "string",
        "seoTitle": "string",
        "seoDescription": "string",
        "metadata": {
          "prealign": "string",
          "hlookat": 0,
          "vlookat": 0,
          "northOffset": 0
        },
        "createdAt": "2019-08-24T14:15:22Z",
        "comments": [
          {
            "id": "string",
            "comment": "string",
            "authorData": {
              "name": "string",
              "email": "string",
              "nickname": "string"
            },
            "createdAt": "2019-08-24T14:15:22Z",
            "x": 0,
            "y": 0,
            "parentCommentId": {}
          }
        ],
        "portals": [
          {
            "id": "string",
            "icon": "string",
            "label": "string",
            "x": 0,
            "y": 0,
            "fromPanoramaId": "string",
            "toPanoramaId": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          }
        ],
        "pois": [
          {
            "id": "string",
            "name": "string",
            "x": 0,
            "y": 0,
            "data": {
              "urls": [
                "string"
              ],
              "type": "string"
            },
            "createdAt": "2019-08-24T14:15:22Z"
          }
        ]
      }
    ],
    "apartmentId": "string",
    "seoTitle": "string",
    "seoDescription": "string",
    "metadata": {
      "prealign": "string",
      "hlookat": 0,
      "vlookat": 0,
      "northOffset": 0
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "comments": [
      {
        "id": "string",
        "comment": "string",
        "authorData": {
          "name": "string",
          "email": "string",
          "nickname": "string"
        },
        "createdAt": "2019-08-24T14:15:22Z",
        "x": 0,
        "y": 0,
        "parentCommentId": {}
      }
    ],
    "portals": [
      {
        "id": "string",
        "icon": "string",
        "label": "string",
        "x": 0,
        "y": 0,
        "fromPanoramaId": "string",
        "toPanoramaId": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      }
    ],
    "pois": [
      {
        "id": "string",
        "name": "string",
        "x": 0,
        "y": 0,
        "data": {
          "urls": [
            "string"
          ],
          "type": "string"
        },
        "createdAt": "2019-08-24T14:15:22Z"
      }
    ]
  }
]